Uploaded image for project: 'Qpid Dispatch'
  1. Qpid Dispatch
  2. DISPATCH-1040

websocket listener doesn't work with requireSsl, requireEncryption or EXTERNAL mechanism

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      If listener has httpe=true and requireSsl=true, then even if you connect with ssl, the connection is closed with an error form proton:

      amqp:connection:policy-error Client connection unencrypted - forbidden

      This is because proton does not know the connection is using ssl. This also prevents EXTERNAL being used.

        Attachments

        1. qdrouterd.tar.gz
          32 kB
          Martin Kleiman
        2. qdrouterd.conf
          2 kB
          Martin Kleiman
        3. a.py
          2 kB
          Martin Kleiman

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                gsim Gordon Sim
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: